/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 指定签约用户，发起签约，获取签约密钥，拉起签约页面 POST /api/Test/DataprepareCreate */
export async function dataprepareCreate(options?: API.RequestConfig) {
  return request<API.DataprepareCreateOutput>('/api/Test/DataprepareCreate', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 文件上传接口，支持pdf、doc、docx类型的合同模板文件 POST /api/Test/FileUpload */
export async function fileUpload(body: {}, file?: File, options?: API.RequestConfig) {
  const formData = new FormData();

  if (file) {
    formData.append('file', file);
  }

  Object.keys(body).forEach((ele) => {
    const item = (body as any)[ele];

    if (item !== undefined && item !== null) {
      formData.append(
        ele,
        typeof item === 'object' && !(item instanceof File) ? JSON.stringify(item) : item
      );
    }
  });

  return request<API.FileUploadOutput>('/api/Test/FileUpload', {
    method: 'POST',
    data: formData,
    requestType: 'form',
    ...(options || {}),
  });
}

/** 根据印章ID或者印章名称分页查询当前用户的印章列表。印章ID是精确查询，印章名称是模糊查询。 POST /api/Test/SealBatchQuery */
export async function sealBatchQuery(body: API.SealBatchQueryInput, options?: API.RequestConfig) {
  return request<API.SealBatchQueryOutput>('/api/Test/SealBatchQuery', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 添加企业印章，用于后续企业认证并在PDF合同上添加电子签章 POST /api/Test/SealSave */
export async function sealSave(body: API.SealSaveInput, options?: API.RequestConfig) {
  return request<API.SealSaveOutput>('/api/Test/SealSave', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询签约结果，获取签约完成的文件 POST /api/Test/SignorderQuery */
export async function signorderQuery(options?: API.RequestConfig) {
  return request<API.SignorderQueryOutput>('/api/Test/SignorderQuery', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 根据参数查询合同模板列表，主要返回合同模板摘要信息 POST /api/Test/TemplateBatchQuery */
export async function templateBatchQuery(
  body: API.TemplateBatchQueryInput,
  options?: API.RequestConfig
) {
  return request<API.TemplateBatchQueryOutput>('/api/Test/TemplateBatchQuery', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 创建合同模板，向PDF模板文件中添加填写控件，以便后续通过这些控件来填充内容。 POST /api/Test/TemplateSave */
export async function templateSave(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APItemplateSaveParams,
  options?: API.RequestConfig
) {
  return request<API.TemplateSaveOutput>('/api/Test/TemplateSave', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/Test/TestEventBusSendPhoneMessge */
export async function testEventBusSendPhoneMessge(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APItestEventBusSendPhoneMessgeParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/Test/TestEventBusSendPhoneMessge', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/Test/TestRetturnResult */
export async function testRetturnResult(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APItestRetturnResultParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Test/TestRetturnResult', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/Test/TestSendPhoneMessge */
export async function testSendPhoneMessge(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APItestSendPhoneMessgeParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/Test/TestSendPhoneMessge', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
